package ports

import (
	"Yimaru-Backend/internal/domain"
	"context"
)

type TokenStore interface {
	CreateRefreshToken(ctx context.Context, rt domain.RefreshToken) error
	GetRefreshToken(ctx context.Context, token string) (domain.RefreshToken, error)
	GetRefreshTokenByUserID(ctx context.Context, id int64) (domain.RefreshToken, error)
	RevokeRefreshToken(ctx context.Context, token string) error
}
